// JFL DATA
function JflData(appname) {
	this.date = new Date();
	this.curDate = new Date();
	this.seiYear = this.date.getFullYear();
	this.mainboardid = "mainboard";

	this.appname = appname;

	this.setUrl = function(url) {
		this.url = url;
		var urlstr = "";
		if (url) {
			urlstr = url + "/";
		}
		this.urlstr = urlstr;
		this.titlePicUrl = urlstr + "title.png";
		this.nextPicUrl = urlstr + "next.png";
		this.prevPicUrl = urlstr + "prev.png";
		this.uraboardPicUrl = urlstr + "ura.png";
		this.ibuttonUrl = urlstr + "info.gif";
		this.reloadUrl = urlstr + "reload.gif";
		this.mainboardPicUrl = this.urlstr + this.board;
	};

	this.setupDispData = function() {
		this.dispMode = 0;
		this.goalPage = 0;
		this.weekPage = -1;
	};
	this.setupDispData();

	this.setUrl(null);

	this.load = function() {
		this.data = new JflDataData();
		this.changeNewData();
		this.dispOmote();
	};

	this.changeNewData = function() {
		var dic = new Object();
		for ( var i = 0; i < this.data.newdatalist.length; i++) {
			var record = this.data.newdatalist[i];
			var key = record[0] + "-" + record[3];
			dic[key] = record;
		}
		for ( var i = 0; i < this.data.weekdatalist.length; i++) {
			var weekdata = this.data.weekdatalist[i];
			for ( var j = 0; j < weekdata.length; j++) {
				var record = weekdata[j];
				var key = record[2] + "-" + record[4];
				if (key in dic) {
					record[3] = dic[key][1].replace(/ /, "") + "-"
							+ dic[key][2];
				}
			}
		}
	};

	this.loadColorValue = function() {
		var value = loadValue("jfldata.tableBgColor");
		if (!isEmpty(value)) {
			this.tableBgColor = value;
		}
		value = loadValue("jfldata.headBgColor");
		if (!isEmpty(value)) {
			this.headBgColor = value;
		}
		value = loadValue("jfldata.oddBgColor");
		if (!isEmpty(value)) {
			this.oddBgColor = value;
		}
		value = loadValue("jfldata.evenBgColor");
		if (!isEmpty(value)) {
			this.evenBgColor = value;
		}
		value = loadValue("jfldata.board");
		if (!isEmpty(value)) {
			this.board = value;
			this.mainboardPicUrl = this.urlstr + this.board;
		}
		this.setupStyle();
	};
	this.saveColorValue = function() {
		saveValue("jfldata.tableBgColor", this.tableBgColor);
		saveValue("jfldata.headBgColor", this.headBgColor);
		saveValue("jfldata.oddBgColor", this.oddBgColor);
		saveValue("jfldata.evenBgColor", this.evenBgColor);
		saveValue("jfldata.board", this.board);
	};

	this.setupColor = function(table, head, odd, even, board) {
		this.tableBgColor = table;
		this.headBgColor = head;
		this.oddBgColor = odd;
		this.evenBgColor = even;
		this.setupStyle();
		this.mainboardPicUrl = this.urlstr + board;
		this.board = board;
	};
	this.changeColor = function(colorId) {
		if (colorId == 0) {
			this.setupColor("#aaaaff", "#444488", "#4444aa", "#5555ff",
					"board.png");
		} else if (colorId == 1) {
			this.setupColor("#88cc88", "#447744", "#449944", "#55dd55",
					"board_G.png");
		} else {
			this.setupColor("#dd9999", "#884444", "#aa4444", "#ee5555",
					"board_R.png");
		}
		this.saveColorValue();
		this.dispOmote();
	};

	this.setupStyle = function() {
		var mainboardStyle = "";
		mainboardStyle += "margin: 0px;";
		mainboardStyle += "padding: 0px;";
		mainboardStyle += "width: 240px;";
		mainboardStyle += "max-width: 240px;";
		mainboardStyle += "height: 450px;";
		mainboardStyle += "display: block;";
		mainboardStyle += "z-index:10;";
		mainboardStyle += "position:relative;";
		mainboardStyle += "top:-450px;";
		mainboardStyle += "overflow:hidden;";
		mainboardStyle += "border-spacing: 1px 1px;";

		var tabtablestyle = "";
		tabtablestyle += "background-color : #777777;";
		tabtablestyle += "margin-top: 0px;";
		tabtablestyle += "margin-left: 0px;";
		tabtablestyle += "margin-right: 0px;";
		tabtablestyle += "margin-bottom: 0px;";
		tabtablestyle += "padding: 0px;";
		tabtablestyle += "width: 230px;";
		tabtablestyle += "text-align: center;";
		tabtablestyle += "border-spacing: 1px 1px;";

		var selectedtabstyle = "";
		selectedtabstyle += "background-color : #000000;";
		selectedtabstyle += "font-family: メイリオ, ＭＳ　Ｐゴシック, sans-serif;";
		selectedtabstyle += "color : #FFFFFF;";
		selectedtabstyle += "font-size: 14px;";

		var normaltabstyle = "";
		normaltabstyle += "background-color : #444444;";
		selectedtabstyle += "font-family: メイリオ, ＭＳ　Ｐゴシック, sans-serif;";
		normaltabstyle += "color : #CCCCCC;";
		normaltabstyle += "font-size: 12px;";

		var tablestyle = "";
		tablestyle += "background-color : " + this.tableBgColor + ";";
		tablestyle += "margin-top: 0px;";
		tablestyle += "margin-left: 0px;";
		tablestyle += "margin-right: 0px;";
		tablestyle += "margin-bottom: 0px;";
		tablestyle += "padding: 0px;";
		tablestyle += "width: 230px;";
		tablestyle += "height: 112px;";
		tablestyle += "border-spacing: 1px 1px;";

		var headstyle = "";
		headstyle += "color: #ffffff;";
		headstyle += "padding: 0px;";
		headstyle += "margin: 0px;";
		headstyle += "border: 0px;";
		headstyle += "height: 13px;";
		headstyle += "font-size: 12px;";
		headstyle += "font-family: ＭＳ ゴシック, monospace;";
		headstyle += "background-color : " + this.headBgColor + ";";
		headstyle += "text-align: center;";

		var updatestyle = "";
		updatestyle += "color: #ccccff;";
		updatestyle += "padding: 0px;";
		updatestyle += "margin-top: 0px;";
		updatestyle += "margin-bottom: 0px;";
		updatestyle += "margin-left: 2px;";
		updatestyle += "margin-right: 2px;";
		updatestyle += "border: 0px;";
		updatestyle += "font-size: 12px;";
		updatestyle += "width: 226px;";
		updatestyle += "text-align: right;";

		var cellstyle = "";
		cellstyle += "text-align: center;";
		cellstyle += "color: #ffffff;";
		cellstyle += "padding: 0px;";
		cellstyle += "margin: 0px;";
		cellstyle += "border: 0px;";
		cellstyle += "font-family: ＭＳ ゴシック, monospace;";
		cellstyle += "white-space: nowrap;";
		cellstyle += "height:13px;";
		cellstyle += "max-height:13px;";
		cellstyle += "position:static;";

		var oddstyle = cellstyle;
		oddstyle += "background-color : " + this.oddBgColor + ";";
		var oddstyle1 = oddstyle + "font-size: 13px;";
		var oddstyle2 = oddstyle + "font-size: 11px;";
		oddstyle2 += "overflow: hidden;";
		oddstyle2 += "max-width: 100px;";
		oddstyle2 += "min-width: 80px;";

		var evenstyle = cellstyle;
		evenstyle += "background-color : " + this.evenBgColor + ";";
		var evenstyle1 = evenstyle + "font-size: 13px;";
		var evenstyle2 = evenstyle + "font-size: 11px;";
		evenstyle2 += "overflow: hidden;";
		evenstyle2 += "max-width: 100px;";
		evenstyle2 += "min-width: 80px;";

		this.mainboardstyle = mainboardStyle;
		this.updatestyle = updatestyle;
		this.tabtablestyle = tabtablestyle;
		this.selectedtabstyle = selectedtabstyle;
		this.normaltabstyle = normaltabstyle;
		this.tablestyle = tablestyle;
		this.headstyle = headstyle;
		this.cellstyle = cellstyle;
		this.oddstyle1 = oddstyle1;
		this.oddstyle2 = oddstyle2;
		this.evenstyle1 = evenstyle1;
		this.evenstyle2 = evenstyle2;
	};
	this.setupColor("#aaaaff", "#444488", "#4444aa", "#5555ff", "board.png");
	this.loadColorValue();

	this.dispRank = function(isError) {
		this.dispMode = 0;

		var elm = document.getElementById(this.mainboardid);

		var html = "";
		var updatedate = this.data.updatedate;
		var recordList = this.data.junidata;
		html += "<div style='height:450px;width:190px;display:block;text-align:left;'>";
		html += "<img src='"
				+ this.mainboardPicUrl
				+ "' style='margin:0px; padding:0px;position:relative;z-index:5; width:245px; height:450px;'/>";
		html += "<img src='" + this.reloadUrl + "' id='reload' alt='最新データを表示する'";
		html += " onclick='location.reload(true);' style='position:absolute;z-index:20;top:420px;left:4px;'/>";
		html += "<img src='" + this.ibuttonUrl + "' id='ibutton'";
		html += " onclick='"
				+ this.appname
				+ ".dispUra()' style='position:absolute;z-index:20;top:428px;left:220px;'/>";
		html += "</div>";
		html += "<table style='" + this.mainboardstyle
				+ "'><tr><td style='vertical-align:top;text-align:center;'>";
		html += "<img src='"
				+ this.titlePicUrl
				+ "' style='padding-left:4px;padding-top:2px;width:220px;' onclick='"
				+ this.appname + ".dispUra();'/>";
		html += "<div style='" + this.updatestyle + "'>" + updatedate
				+ "</div>";
		// 上部タブバー
		html += "<table style='" + this.tabtablestyle + "'><tr>";
		html += "<td style='" + this.selectedtabstyle + "'>順位表</td>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispGoal(-1);' style='"
				+ this.normaltabstyle + "'>得点ランク</a></td>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispGame(-1);' style='"
				+ this.normaltabstyle + "'>日程・結果</a></td>";
		html += "</tr></table>";
		// データ表示本体
		html += "<table style='" + this.tablestyle + "'>";
		html += "<tr style='" + this.headstyle + "'>";
		html += "<th>順位</th><th>チーム名</th><th>勝点</th><th>勝</th><th>分</th><th>敗</th><th>得失</th>";
		html += "</tr>";
		for ( var i = 0; i < recordList.length; i++) {
			var dataList = recordList[i];
			html += "<tr>";
			var style1 = (i % 2) ? this.oddstyle1 : this.evenstyle1;
			var style2 = (i % 2) ? this.oddstyle2 : this.evenstyle2;
			for ( var j = 0; j < dataList.length; j++) {
				var style = (j == 1) ? style2 : style1;
				var str = dataList[j];
				html += "<td style='" + style + "'><div style='" + style + "'>"
						+ str + "</div></td>";
			}
			html += "</tr>";
			if ((i == 3) || (i == 15)) {
				html += "<tr><td colspan='7' style='height:1px;max-height:1px;margin:0px;padding:0px;background-color:#ffffff;'></td></tr>";
			}
		}
		html += "</table>";
		html += "</td></tr>";
		html += "<tr><td style='vertical-align:bottom; text-align:right;'";

		html += "</td></tr></table>";

		elm.innerHTML = html;
	};

	this.dispGoal = function(page) {
		this.dispMode = 1;
		if (page < 0) {
			page = this.goalPage;
		} else {
			this.goalPage = page;
		}

		var elm = document.getElementById(this.mainboardid);

		var html = "";
		var updatedate = this.data.updatedate;
		var recordList = this.data.goalrank;
		html += "<div style='height:450px;width:190px;display:block;text-align:left;'>";
		html += "<img src='"
				+ this.mainboardPicUrl
				+ "' style='margin:0px; padding:0px;position:relative;z-index:5; width:245px; height:450px;'/>";
		html += "<img src='" + this.reloadUrl + "' id='reload' alt='最新データを表示する'";
		html += " onclick='location.reload(true);' style='position:absolute;z-index:20;top:420px;left:4px;'/>";
		html += "<img src='" + this.ibuttonUrl + "' id='ibutton'";
		html += " onclick='"
				+ this.appname
				+ ".dispUra()' style='position:absolute;z-index:20;top:428px;left:220px;'/>";
		html += "</div>";
		html += "<table style='" + this.mainboardstyle
				+ "'><tr><td style='vertical-align:top;text-align:center;'>";
		html += "<img src='"
				+ this.titlePicUrl
				+ "' style='padding-left:4px;padding-top:2px;width:220px;' onclick='"
				+ this.appname + ".dispUra();'/>";
		html += "<div style='" + this.updatestyle + "'>" + updatedate
				+ "</div>";
		// 上部タブバー
		html += "<table style='" + this.tabtablestyle + "'><tr>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispRank(true);' style='"
				+ this.normaltabstyle + "'>順位表</a></td>";
		html += "<td style='" + this.selectedtabstyle + "'>得点ランク</td>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispGame(-1);' style='"
				+ this.normaltabstyle + "'>日程・結果</a></td>";
		html += "</tr></table>";

		// NEXT PREV
		html += "<table style='width:230px; margin: 0px; padding: 0px;'><tr>";
		if (page > 0) {
			html += "<td style='text-align: left;'>";
			html += "<img src='" + this.prevPicUrl + "'  onclick='"
					+ this.appname + ".dispGoal(" + (page - 1) + ");'/></td>";
		}
		if (((page + 1) * 18) < recordList.length) {
			html += "<td style='text-align: right;'>";
			html += "<img src='" + this.nextPicUrl + "' onclick='"
					+ this.appname + ".dispGoal(" + (page + 1) + ");'/></td>";
		}
		html += "</tr></table>";

		// データ表示本体
		html += "<table style='" + this.tablestyle + "'>";
		html += "<tr style='" + this.headstyle + "'>";
		html += "<th>順位</th><th>選手名</th><th>チーム名</th><th>得点</th>";
		html += "</tr>";
		for ( var i = 0; i < 18; i++) {
			var ix = page * 18 + i;
			if (ix >= recordList.length) {
				break;
			}
			var dataList = recordList[ix];
			html += "<tr>";
			var style1 = (i % 2) ? this.oddstyle1 : this.evenstyle1;
			var style2 = (i % 2) ? this.oddstyle2 : this.evenstyle2;
			for ( var j = 0; j < dataList.length; j++) {
				var style = ((j == 1) || (j == 2)) ? style2 : style1;
				var str = dataList[j];
				html += "<td style='" + style
						+ "' nowrap='nowrap'><div style='" + style + "'>" + str
						+ "</div></td>";
			}
			html += "</tr>";
		}
		html += "</table>";
		html += "</td></tr>";
		html += "<tr><td style='vertical-align:bottom;text-align:right;'";

		html += "</td></tr></table>";

		elm.innerHTML = html;
	};

	this.dispGame = function(page) {
		this.dispMode = 2;
		if (page < 0) {
			page = this.weekPage;
		}
		if (page < 0) {
			page = this.data.weekno - 0;
		}
		this.weekPage = page;

		var elm = document.getElementById(this.mainboardid);

		var gamestyle = "";
		gamestyle += "text-align: center;";
		gamestyle += "color: #ffffff;";
		gamestyle += "padding: 0px;";
		gamestyle += "margin: 0px;";
		gamestyle += "border: 0px;";
		gamestyle += "font-family: ＭＳ ゴシック, monospace;";
		gamestyle += "font-size: 10px;";
		gamestyle += "white-space: nowrap;";
		gamestyle += "max-width: 90px;";
		gamestyle += "width: 70px;";
		gamestyle += "height: 10px;";
		gamestyle += "max-height: 10px;";
		gamestyle += "min-width: 90px;";
		gamestyle += "overflow: hidden;";
		gamestyle += "text-align:left;";
		gamestyle += "position:static;";

		var cellstyle = "";
		cellstyle += "text-align: left;";
		cellstyle += "color: #ffffff;";
		cellstyle += "padding: 0px;";
		cellstyle += "margin: 0px;";
		cellstyle += "border: 0px none;";
		cellstyle += "font-family: ＭＳ ゴシック, monospace;";
		cellstyle += "white-space: nowrap;";

		var oddstyle = cellstyle;
		oddstyle += "background-color : " + this.oddBgColor + ";";
		oddstyle += "font-size: 9px;";

		var evenstyle = cellstyle;
		evenstyle += "background-color : " + this.evenBgColor + ";";
		evenstyle += "font-size: 9px;";

		cellstyle += "font-size: 12px;";

		var updatedate = this.data.updatedate;
		var weeklist = this.data.weekdatalist;
		var recordList = weeklist[page];

		var html = "";
		html += "<div style='height:450px;width:240px;display:block;text-align:left;'>";
		html += "<img src='"
				+ this.mainboardPicUrl
				+ "' style='margin:0px; padding:0px;position:relative;z-index:5; width:245px; height:450px;'/>";
		html += "<img src='" + this.reloadUrl + "' id='reload' alt='最新データを表示する'";
		html += " onclick='location.reload(true);' style='position:absolute;z-index:20;top:420px;left:4px;'/>";
		html += "<img src='" + this.ibuttonUrl + "' id='ibutton'";
		html += " onclick='"
				+ this.appname
				+ ".dispUra()' style='position:absolute;z-index:20;top:428px;left:220px;'/>";
		html += "</div>";
		html += "<table style='" + this.mainboardstyle
				+ "'><tr><td style='vertical-align:top;text-align:center;'>";
		html += "<img src='"
				+ this.titlePicUrl
				+ "' style='padding-left:4px;padding-top:2px;width:220px;' onclick='"
				+ this.appname + ".dispUra();'/>";
		html += "<div style='" + this.updatestyle + "'>" + updatedate
				+ "</div>";

		// 上部タブバー
		html += "<table style='" + this.tabtablestyle + "'><tr>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispRank(true);' style='"
				+ this.normaltabstyle + "'>順位表</a></td>";
		html += "<td style='" + this.normaltabstyle + "'><a href='javascript:"
				+ this.appname + ".dispGoal(-1);' style='"
				+ this.normaltabstyle + "'>得点ランク</a></td>";
		html += "<td style='" + this.selectedtabstyle + "'>日程・結果</td>";
		html += "</tr></table>";

		// 前後操作
		html += "<table style='width:230px; margin: 0px; padding: 0px;'><tr>";
		html += "<td style='text-align: left;width:35px;margin:0px;padding:0px;'>";
		if (page > 0) {
			html += "<img src='" + this.prevPicUrl + "' onclick='"
					+ this.appname + ".dispGame(" + (page - 1) + ");'/>";
		}
		html += "</td>";
		html += "<td style='text-align: center;font-size:13px;color:#ffaaaa;margin:0px;padding:0px;'>";
		html += recordList.name;
		html += "</td>";
		html += "<td style='text-align: right;width:35px;margin:0px;padding:0px;'>";
		if (page < (weeklist.length - 1)) {
			html += "<img src='" + this.nextPicUrl + "' onclick='"
					+ this.appname + ".dispGame(" + (page + 1) + ");'/>";
		}
		html += "</td>";
		html += "</tr></table>";
		// データ表示本体
		html += "<table style='" + this.tablestyle + "'>";
		for ( var i = 0; i < recordList.length; i++) {
			var datalist = recordList[i];
			html += "<tr>";
			var style = (i % 2) ? oddstyle : evenstyle;
			html += "<td style='" + style + "'>";
			var str = datalist[0];
			html += "&nbsp;" + str + "&nbsp;";
			var str = datalist[1];
			html += str + "&nbsp;";
			var str = datalist[5];
			html += str + "<br/>";
			html += "<table style='" + gamestyle + "'><tr>";
			var str = datalist[2];
			html += "<td style='" + gamestyle
					+ "' nowrap='nowrap'><div style='" + gamestyle + "'>" + str
					+ "</div></td>";
			var str = datalist[3];
			html += "<td style='font-size:14px;white-space:nowrap;width:25px;min-width:25px;text-align:center;' nowrap='nowrap'>"
					+ str + "</td>";
			var str = datalist[4];
			html += "<td style='" + gamestyle
					+ "' nowrap='nowrap'><div style='position:static;"
					+ gamestyle + "'>" + str + "</div></td>";
			html += "</tr></table>";
			html += "</td>";
			html += "</tr>";
		}
		html += "</table>";
		html += "</td></tr>";
		html += "<tr><td style='vertical-align:bottom; text-align:right;'";

		html += "</td></tr></table>";

		elm.innerHTML = html;
	};

	this.dispInfo = function() {
		var elm = document.getElementById(this.mainboardid);
		var tablestyle = "";
		tablestyle += "color : #ffffff;";
		tablestyle += "margin-top: 4px;";
		tablestyle += "margin-left: 8px;";
		tablestyle += "width: 230px;";
		tablestyle += "font-size: 13px;";

		var mainboardStyle = "";
		mainboardStyle += "width: 240px;";
		mainboardStyle += "height: 450px;";
		mainboardStyle += "margin: 0px;";
		mainboardStyle += "padding: 0px;";
		mainboardStyle += "z-index:10;";
		mainboardStyle += "position:relative;";
		mainboardStyle += "top:-450px;";

		var cellStyle = "";
		cellStyle += "text-align: left;";
		cellStyle += "font-size: 12px;";
		cellStyle += "width: 220px;";

		var html = "";
		html += "<img src='"
				+ this.uraboardPicUrl
				+ "' style='margin:0px; padding:0px;position:relative;z-index:5; width:245px; height:450px;'/>";
		html += "<table style='" + mainboardStyle
				+ "'><tr><td style='vertical-align: top;'>";
		html += "<img type='image' src='"
				+ this.titlePicUrl
				+ "' style='padding-left:4px;padding-top:2px;width:220px;' onclick='"
				+ this.appname + ".dispOmote();'/>";
		html += "<table style='" + tablestyle + "'>";
		html += "<tr>";
		html += "<td style='" + cellStyle + "' colspan='3'>";
		html += "<div style='text-align:right'>ver. 0.10 2010-05-04</div>";
		html += "このプログラムは<a ";
		html += "style ='color: #ddddff;'";
		html += " href=\"javascript:openURL('http://www.jfl.or.jp/')\"";
		html += ">JFL公式サイト</a>のデータをもとにして表示しています。";
		html += "<br/>";
		html += "このプログラムは<a ";
		html += "style ='color: #ddddff;'";
		html += " href=\"javascript:openURL('http://homepage.mac.com/s_jima/jsgame.html')\"";
		html += ">Javascript Game Garden</a>で配布しています。";
		html += "<br/>";
		html += "このプログラムの使用・配布は<a ";
		html += "style ='color: #ddddff;'";
		html += " href=\"javascript:openURL('http://www.gnu.org/licenses/gpl.html')\"";
		html += ">GNU General Public License</a>の最新版に準拠してください。";
		html += "<br/>";
		html += "<br/>";
		html += "<br/>";
		html += "</td>";
		html += "</tr>";
		html += "<tr>";
		html += "<td style='width: 229px; text-align: center;'>";
		html += "<h4>色を変更</h4>";
		html += "<input type='button' value='青' style='background-color:#444488;' onclick='"
				+ this.appname + ".changeColor(0);'/>";
		html += "<input type='button' value='緑' style='background-color:#447744;' onclick='"
				+ this.appname + ".changeColor(1);'/>";
		html += "<input type='button' value='赤' style='background-color:#884444;' onclick='"
				+ this.appname + ".changeColor(2);'/>";
		html += "</td>";
		html += "</tr>";
		html += "<tr>";
		html += "<td style='width: 229px; text-align: center;'>";
		html += "<br/>";
		html += "<br/>";
		html += "<br/>";
		html += "<input type='button' value='完了' onclick='" + this.appname
				+ ".dispOmote();'/>";
		html += "</td>";
		html += "</tr>";
		html += "</table>";
		html += "</td>";
		html += "</tr>";
		html += "</table>";
		elm.innerHTML = html;
	};

	// 表面を表示する。
	this.dispOmote = function() {
		if (window.widget) {
			widget.prepareForTransition("ToFront");
		}
		if (this.dispMode == 0) {
			this.dispRank(true);
		} else if (this.dispMode == 1) {
			this.dispGoal(-1);
		} else {
			this.dispGame(-1);
		}

		if (window.widget) {
			setTimeout("widget.performTransition();", 0);
		}
	};

	// 裏面を表示する
	this.dispUra = function() {
		if (window.widget) {
			widget.prepareForTransition("ToBack");
		}
		this.dispInfo();
		if (window.widget) {
			setTimeout("widget.performTransition();", 0);
		}
	};

}
